Subject: Re: bug#47734: Guix install script on foreign distro fails to add berlin public key

From: Leo Famulari <[email-masked]>
Date: Wed, 14 Apr 2021 15:52:56 -0400

On Mon, Apr 12, 2021 at 03:48:10PM -0400, Julien Lepiller wrote:
> Hi Guix!
> 
> When installing Guix on a new machine (foreign distro), substitute were not properly set up:
> 
> …
> Permit downloading pre-built package binaries from the project's build farm? (yes/no) yes
> /home/roptat/guix-install.sh: line 445: /root/.config/guix/current/share/guix/ci.guix.gnu.org.pub: No such file or directory
> 
> That was the latest version of the script downloaded from savannah. It downloaded and installed the 1.2.0 tarball.
> 
> I was able to fix that later manually, but let's make sure the script doesn't fail like that with the release :)

I ran the script, following the instructions in the manual, on a fresh
Debian system. I had no problems.

I also ran the script, not following the instructions exactly, but
instead doing `sudo ./guix-install.sh`, and it still worked fine. I
thought that maybe there were some 'sudo' vs 'sudo --login' shenanigans,
but nothing went wrong.

Can anybody reproduce this bug?